## xonix 1.4

=== debian/changelog ===
xonix (1.4-36) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Drop the unused libselinux-dev build dependency.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Let dpkg's buildtools.mk set CC appropriately.
  * Switch to debhelper compat level 14:
    - use X-DH-Compat
    - pass --destdir to dh_auto_install
    - let debhelper handle some dependencies automatically
  * Use dh-package-notes to record ELF metadata.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Mon, 30 Dec 2024 00:14:59 +0200

xonix (1.4-35) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the years 2021 and 2022 to my debian/* copyright notice.
  * Explicitly declare dh-sequence-single-binary.
  * Drop maintainer script handling for versions before 1.4-32;
    even oldstable has 1.4-32 now.

 -- Peter Pentchev <roam@debian.org>  Mon, 12 Sep 2022 13:19:17 +0300

xonix (1.4-34) unstable; urgency=medium

  * Drop the unnecessary GCC B-D reminder, it may cause problems for
    porting and cross-building.

 -- Peter Pentchev <roam@debian.org>  Sun, 02 Aug 2020 02:39:59 +0300

xonix (1.4-33) unstable; urgency=medium

  * Correct the Name and Comment fields in the desktop file.
    Closes: #964379
  * Add the year 2020 to my debian/* copyright notice.
  * Fix a misleadlingly-indented line in xonix.c.
  * Use _DEFAULT_SOURCE instead of (_BSD|_SVID)_SOURCE.
  * Note no upstream to forward the warnings patch to.
  * Declare compliance with Policy 4.5.0 with no changes.
  * Drop the --as-needed linker option, add a GCC B-D.
  * Reflow and sort the list of build dependencies.
  * Use debhelper compat level 13 and execute_after.

 -- Peter Pentchev <roam@debian.org>  Thu, 16 Jul 2020 13:18:50 +0300

xonix (1.4-32) unstable; urgency=medium

  [ Jari Aalto ]
  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
  * debian/menu
    - Delete. Superseded by debian/xonix.desktop file.
  * debian/patches
    - (30): Fix new typo in manual page.

  [ Peter Pentchev ]
  * New maintainer.  Closes: #920121
  * Add my debian/* copyright notice.
  * Point the Vcs-* fields to the new Salsa repository.
  * Remove mentions of the FreeBSD ports mirror.
  * Bring up to compliance with Debian Policy 4.3.0:
    - add Rules-Requires-Root to the source control stanza
  * Bump the debhelper compatibility level to 12 with no changes and
    use the debhelper-compat (= 12) mechanism.
  * Declare Multi-Arch: foreign for the binary package.
  * Use single quotes in the rules file.
  * Drop the "check pointer before free()" patch; it is safe to pass
    a null pointer to free(3).
  * Drop the XBM unsigned -> signed patches; the arrays contain values in
    the range 0 - 255, so unsigned char is the correct type.
  * Add the warnings patch to fix some warnings from GCC and cppcheck.
  * Add a simple git-buildpackage config file.
  * Install the resource file into the app-defaults directory, not into
    its subdirectory.  Closes: #878802

 -- Peter Pentchev <roam@debian.org>  Tue, 26 Feb 2019 00:29:14 +0200

xonix (1.4-31) unstable; urgency=low

  * debian/debian-vars.mk
    - Delete. No longer used.
  * debian/control
    - (Standards-Version): Update to 3.9.5.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update year.
    - (Comment): Add author's homepage.
  * debian/source/include-binaries
    - New file.
  * debian/<package>.<file>
    - Rename to plain: manpages, install, dirs
  * debian/xonix.{desktop,png}
    - Add desktop file and icon (Closes: #738074).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 08 Apr 2014 09:02:22 +0300

xonix (1.4-30) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/patches
    - (50): New. Check calling free() to avoid crash on double freeing
      memory (Closes: #688580).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Sep 2012 09:30:12 +0300

xonix (1.4-29) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): Update to debhelper 9.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Use hardened CFLAGS; enable all hardening.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 03:20:28 -0400

xonix (1.4-28) unstable; urgency=low

  * debian/control
    - (Build-Depends) Replace [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
      with [linux-any] wild card to cover any future architecture.
      Patch thanks to Robert Millan <rmh@debian.org> (Closes: #634326).
      Remove unused libxp-dev (Closes: #623658).
  * debian/rules
    - (CC): New. Define for imake.
    - Simplify everything already handled by dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 20 Sep 2011 12:12:06 +0300

xonix (1.4-27) unstable; urgency=low

  * debian/changelog
    - Correct line placement in 1.4-26.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update debhelper 8.
    - (Standards-Version): Update to 3.9.2.
    - (Conflicts): Remove. There is not package suidmanager any longer in
      archives.
  * debian/copyright
    - Update to DEP5.
  * debian/patches
    - (13): New. Remove double free() call (Closes: #623547).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Apr 2011 10:24:54 +0300

xonix (1.4-26) unstable; urgency=low

  * debian/control
    - (Build-Depends): update debhelper to 7.1 due to override in
      debian/rules.
    - (Standards-Version): Update to 3.8.4.
  * debian/debian-vars.mk
    - Remove. Obsolete by dh(1) changes in debian/rules.
  * debian/patches
    - (10-makefile=11): Change score file from /var/games to

