=== debian/control ===
Source: xonix
Section: games
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 libxaw7-dev,
 libxpm-dev,
 libxt-dev,
 xutils-dev,
Standards-Version: 4.7.0
X-DH-Compat: 14
Vcs-Browser: https://salsa.debian.org/debian/xonix
Vcs-Git: https://salsa.debian.org/debian/xonix.git
X-Style: black

Package: xonix
Architecture: any
Multi-Arch: foreign
Description: game to carve up the screen whilst dodging monsters
 A clone of the Xonix game for DOS. Start with a rectangle, and munch
 corners off until you get below the winning area: then proceed to the
 next level. But beware of the roaming aliens!
